Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageIdealHighPass Class Reference

`#include <vtkImageIdealHighPass.h>`

Inheritance diagram for vtkImageIdealHighPass:

[legend]
Collaboration diagram for vtkImageIdealHighPass:

[legend]
List of all members.

## Detailed Description

Simple frequency domain band pass.

Date:
  2002/01/22 15:32:44

Revision:
  1.21

This filter only works on an image after it has been converted to frequency domain by a vtkImageFFT filter. A vtkImageRFFT filter can be used to convert the output back into the spatial domain. vtkImageIdealHighPass just sets a portion of the image to zero. The sharp cutoff in the frequence domain produces ringing in the spatial domain. Input and Output must be floats. Dimensionality is set when the axes are set. Defaults to 2D on X and Y axes.

See also:
  vtkImageButterworthHighPass vtkImageIdealLowPass vtkImageFFT vtkImageRFFT

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (74%)
  - Lorensen, Bill (10%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageIdealHighPass.cxx)`
  - .`h` (`/Imaging/vtkImageIdealHighPass.h)`

Tests:
  vtkImageIdealHighPass (Tests)

Definition at line 55 of file vtkImageIdealHighPass.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCutOff (float, float, float)
virtual void | SetCutOff (float[3])
void | SetCutOff (float v)
void | SetXCutOff (float v)
void | SetYCutOff (float v)
void | SetZCutOff (float v)
virtual float * | GetCutOff ()
virtual void | GetCutOff (float &, float &, float &)
virtual void | GetCutOff (float[3])
float | GetXCutOff ()
float | GetYCutOff ()
float | GetZCutOff ()
## Static Public Methods
vtkImageIdealHighPass * | New ()
int | IsTypeOf (const char *type)
vtkImageIdealHighPass * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageIdealHighPass ()
| ~vtkImageIdealHighPass ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
## Protected Attributes
float | CutOff [3]

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageIdealHighPass::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 59 of file vtkImageIdealHighPass.h.

## Constructor & Destructor Documentation

vtkImageIdealHighPass::vtkImageIdealHighPass | ( |  | ) | `[protected]`

vtkImageIdealHighPass::~vtkImageIdealHighPass | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkImageIdealHighPass.h.

## Member Function Documentation

vtkImageIdealHighPass* vtkImageIdealHighPass::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageIdealHighPass::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageIdealHighPass::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageIdealHighPass::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageIdealHighPass* vtkImageIdealHighPass::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageIdealHighPass::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageIdealHighPass::SetCutOff | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageIdealHighPass::SetCutOff | ( | float | [3] | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageIdealHighPass::SetCutOff | ( | float | v | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 67 of file vtkImageIdealHighPass.h.

void vtkImageIdealHighPass::SetXCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageIdealHighPass::SetYCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

void vtkImageIdealHighPass::SetZCutOff | ( | float | v | ) |

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual float* vtkImageIdealHighPass::GetCutOff | ( |  | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageIdealHighPass::GetCutOff | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

virtual void vtkImageIdealHighPass::GetCutOff | ( | float | [3] | ) | `[virtual]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing).

float vtkImageIdealHighPass::GetXCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 72 of file vtkImageIdealHighPass.h.

float vtkImageIdealHighPass::GetYCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 73 of file vtkImageIdealHighPass.h.

float vtkImageIdealHighPass::GetZCutOff | ( |  | ) | `[inline]`

| Set/Get the cutoff frequency for each axis. The values are specified in the order X, Y, Z, Time. Units: Cycles per world unit (as defined by the data spacing). Definition at line 74 of file vtkImageIdealHighPass.h.

void vtkImageIdealHighPass::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageIdealHighPass::CutOff[3]`[protected]`

| Definition at line 81 of file vtkImageIdealHighPass.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageIdealHighPass.h